• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Add-on compatibilty check for XF2 or stand alone tool?

RSI

Active member
#1
If you update say from the latest version of 1.5 to 2.0 will it preform any type of an add-on compatibility check, etc.? If not, will there be some kind of a tool available that can flag potential incompatibility issues?

Thanks
 

Kirby

Well-known member
#2
There might be a few exceptions for very simple add-ons, but generally no add-on developed for xf1 will be compatible with xf2.
 

Chris D

XenForo developer
Staff member
#3
In fact, no existing XF1 add-on will work after the update to XF2. During upgrade they are essentially disabled and marked as "legacy". Once an XF2 compatible version of the add-on is released, you will be able to upgrade it which will automatically re-enable the add-on.
 

Liam W

Well-known member
#4
In fact, no existing XF1 add-on will work after the update to XF2. During upgrade they are essentially disabled and marked as "legacy". Once an XF2 compatible version of the add-on is released, you will be able to upgrade it which will automatically re-enable the add-on.
Will it be possible to uninstall legacy add-ons after upgrading to XF2 but before installing the XF2 version?

Liam
 

Chris D

XenForo developer
Staff member
#5
It will be possible, but the uninstall callback won't be able to run hence there will be orphaned data. But that generally shouldn't be a big issue.

If you know that you aren't going to upgrade an add-on or it won't be compatible with XF2, then you may want to consider uninstalling it prior to the XF2 upgrade.